Subject: Re: GIT on MinGW problem

From: Johannes Sixt <[email-masked]>
Date: Fri, 25 May 2007 10:49:08 +0200

Han-Wen Nienhuys wrote:
> 
> Aaron Gray escreveu:
> > Hello,
> >
> > I have installed the git-1.5.1-1.mingw.exe from
> > http://lilypond.org/git/binaries/mingw/.
> >
> > On typing 'git' I get a message box saying :-
> >
> >        The procedure entry point libiconv could not be located in the
> > dynamic link library libiconv-2.dll.
> >
> > I cannot seem to find libiconv-2.dll anywhere either.
> 
> This should be fixed in
> 
> http://lilypond.org/git/binaries/mingw/git-1.5.1-2.mingw.exe
> 
> it should also set $PATH.

I gave this some more testing and it turns out to be a well working
toolset. Thank you very much!

There were still some issues remaining. These are the ones that should
be fixable easily:

* git version reports just:

	git version -dirty

Since git-gui parses the output of git version, but does not expect it
to be of this format, and fails with an error message that it cannot
parse the version.

* git without an correct git subcommand should list 20 or so commands,
but it doesn't. The list is just empty.

* I personally think that the files should go into

	$PROGRAMFILES/Git/{bin,share,lib}
instead of
	$PROGRAMFILES/Git/usr/{bin,share,lib}

The more difficult to solve problems are:

* git-gui and gitk don't work out of the box because they have the path
to wish hardcoded. They can't be started from CMD at all. I have written
wrappers gitk.cmd and git-gui.cmd with these 2 lines:

@echo off
start wish84 D:/MSYS/1.0/git/bin/gitk %*

But as you can see, the path is still hard-coded (but it is good enough
for me for the moment).

* perl scripts like git-remote contain a hard-coded path to the
installation directory and don't work for this reason.

-- Hannes